<?php

declare(strict_types=1);

namespace App\Framework\DI\Dependency;

enum DependencyType: string
{
    case DEFAULT = 'default';
    case NULL = 'null';
    case DEPENDENCY = 'dependency';
    case NULLABLE_DEPENDENCY = 'nullable_dependency';
}
